summaryrefslogtreecommitdiffstats
path: root/jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh
diff options
context:
space:
mode:
authorThomas F Herbert <therbert@redhat.com>2016-10-16 19:52:46 -0400
committerThomas F Herbert <therbert@redhat.com>2016-10-17 14:38:27 -0400
commitf2dfaad928ac1dc40eaef43d08a3d9eae1de9a16 (patch)
treefd96566744086dc49b2210f13007fb038497b4ae /jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh
parent2d2fd021bda68f11fe965f85121610d2cc047627 (diff)
Initial commit of support for rpm_dpdk project.
Fix script name and removed Maven Definition missing required for Centos 7 builds. Change-Id: I6b7f4fab9c1b2d634e5576cd21977f0455a18cd1 Signed-off-by: Thomas F Herbert <therbert@redhat.com>
Diffstat (limited to 'jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh')
-rw-r--r--jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh b/jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh
new file mode 100644
index 000000000..b9b9c4deb
--- /dev/null
+++ b/jjb/rpm_dpdk/include-raw-rpm_dpdk-pkg-push.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+# basic build script example
+set -e -o pipefail
+echo "Looking for rpms to publish"
+# Find the files
+RPMS=$(find . -type f -iname '*.rpm')
+SRPMS=$(find . -type f -iname '*.srpm')
+SRCRPMS=$(find . -type f -name '*.src.rpm')
+echo "Found RPMS=${RPMS}"
+echo "Found SRPMS=${SRPMS}"
+echo "Found SRCRPMS=${SRCRPMS}"
+for i in $RPMS $SRPMS $SRCRPMS
+do
+ push_rpm "$i"
+done